# Return domains with hotlink protection

This function lists domains with hotlink protection.

Important:

When you disable the Web Server role, the system disables this function.

Endpoint: GET /Mime/list_hotlinks
Version: 11.136.0.22
Security: BasicAuth

## Response 200 fields (application/json):

  - `apiversion` (integer)
    The version of the API.
    Example: 3

  - `func` (string)
    The name of the method called.
    Example: "list_hotlinks"

  - `module` (string)
    The name of the module called.
    Example: "Mime"

  - `result` (object)

  - `result.data` (object)

  - `result.data.allow_null` (integer)
    Whether the domain allows hotlinks from an empty or null referral URL.
* 1 - Allows hotlinks.
* 0 - Does not allow hotlinks.
    Enum: 0, 1

  - `result.data.extensions` (string)
    A comma-separated list of file types to hotlink protect.
    Example: "jpg,jpeg,gif,png,bmp"

  - `result.data.redirect_url` (string)
    The URL to which to send hotlinkers.
    Example: "http://redirect.example.com/"

  - `result.data.state` (string)
    Whether hotlink protection is enabled.

* enabled
* disabled
    Enum: "enabled", "disabled"

  - `result.data.urls` (array)
    An array of the domains with hotlink protection.
    Example: ["http://example.com/"]

  - `result.errors` (array,null)
    List of errors if the API failed.

  - `result.messages` (array,null)
    List of messages generated by the API.

  - `result.metadata` (object)

  - `result.status` (integer)
    * 1 - Success.
* 0 - Failed. Check the errors field for more details.
    Enum: 0, 1

  - `result.warnings` (array,null)
    List of warnings generated by the API. Warnings describe non-critical failures or other problematic conditions noted while running a API.


